Subject: Re: [PATCH v3 net-next 0/3] Add support for async socket operations

From: Al Viro <[email-masked]>
Date: Thu, 19 Mar 2015 19:51:05 +0000

On Thu, Mar 19, 2015 at 12:31:19PM -0700, Tadeusz Struk wrote:
> After the iocb parameter has been removed from sendmsg() and recvmsg() ops
> the socket layer, and the network stack no longer support async operations.
> This patch set adds support for asynchronous operations on sockets back.
> 
> Changes in v3:
> * As sugested by Al Viro instead of adding new functions aio_sendmsg
>   and aio_recvmsg, added a ptr to iocb into the kernel-side msghdr structure.
>   This way no change to aio.c is required.
> 
> Changes in v2:
> * removed redundant total_size param from aio_sendmsg and aio_recvmsg functions

I think I can live with that.  Christoph, do you have any objections to
that series?